import 'package:flutter/material.dart';
import 'package:scroll_to_index/scroll_to_index.dart';

class Bolum extends StatelessWidget {
  final Widget child;
  ScrollController kaydirmaKontrolu;
  final int bolumNo;
  Bolum({this.child, this.kaydirmaKontrolu, this.bolumNo});

  @override
  Widget build(BuildContext context) {
    Widget current = new Container(
      child: child,
    );

    if (bolumNo != null) {
      current = AutoScrollTag(
        child: current,
        controller: kaydirmaKontrolu,
        index: bolumNo,
        key: ValueKey(bolumNo),
      );
    }

    return current;
  }
}
