import 'package:flutter/material.dart';

class AkilliSatir extends StatelessWidget {
  List<Widget> widgetlar;
  int genisEkranParcaSayisi;
  int normalEkranParcaSayisi;
  int kucukEkranParcaSayisi;

  AkilliSatir({this.widgetlar, this.genisEkranParcaSayisi = 4, this.normalEkranParcaSayisi = 2, this.kucukEkranParcaSayisi = 1});

  @override
  Widget build(BuildContext context) {
    return new Wrap(
      alignment: WrapAlignment.center,
      children: widgetlar
          .map((item) => Container(
                alignment: Alignment.center,
                child: item,
                width: MediaQuery.of(context).size.width > 950
                    ? (MediaQuery.of(context).size.width / (genisEkranParcaSayisi.clamp(1, widgetlar.length)) - 5)
                    : MediaQuery.of(context).size.width > 600 ? (MediaQuery.of(context).size.width / (normalEkranParcaSayisi.clamp(1, widgetlar.length)) - 2) : (MediaQuery.of(context).size.width / (kucukEkranParcaSayisi.clamp(1, widgetlar.length)) - 1),
              ))
          .toList(),
    );
  }
}
